public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-mail/mailutils/
Date: Wed, 16 Oct 2019 09:53:12 +0000 (UTC)	[thread overview]
Message-ID: <1571219577.3ad69e9d174a979e85a1502de5fd20643ba5d525.soap@gentoo> (raw)

commit:     3ad69e9d174a979e85a1502de5fd20643ba5d525
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 16 09:52:57 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed Oct 16 09:52:57 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ad69e9d

net-mail/mailutils: [QA] Multiple fixes

* Use relative symlinks for better chroot
* Use proper || die
* Honour USE="-split-usr" systems properly

Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 net-mail/mailutils/mailutils-3.4-r3.ebuild | 14 ++++++++------
 net-mail/mailutils/mailutils-3.7.ebuild    | 11 +++++++----
 2 files changed, 15 insertions(+), 10 deletions(-)

diff --git a/net-mail/mailutils/mailutils-3.4-r3.ebuild b/net-mail/mailutils/mailutils-3.4-r3.ebuild
index ab5c356f37f..41d2ec0c56f 100644
--- a/net-mail/mailutils/mailutils-3.4-r3.ebuild
+++ b/net-mail/mailutils/mailutils-3.4-r3.ebuild
@@ -14,7 +14,7 @@ LICENSE="GPL-2 LGPL-2.1"
 SLOT="0"
 KEYWORDS="amd64 arm arm64 ~hppa ~ia64 ppc ppc64 ~s390 ~sparc x86 ~ppc-macos ~x64-macos ~x86-macos"
 IUSE="berkdb bidi +clients emacs gdbm sasl guile ipv6 kerberos kyotocabinet \
-	ldap mysql nls pam postgres python servers ssl static-libs +threads tcpd \
+	ldap mysql nls pam postgres python servers split-usr ssl static-libs +threads tcpd \
 	tokyocabinet"
 
 RDEPEND="!mail-client/nmh
@@ -105,7 +105,7 @@ src_configure() {
 }
 
 src_install() {
-	emake DESTDIR="${D}" install
+	default
 
 	insinto /etc
 	# bug 613112
@@ -127,10 +127,12 @@ src_install() {
 		newinitd "${FILESDIR}"/comsatd.initd comsatd
 	fi
 
-	dodoc AUTHORS ChangeLog NEWS README* THANKS TODO
-
 	# compatibility link
-	use clients && dosym /usr/bin/mail /bin/mail
+	if use clients && use split-usr; then
+		dosym ../usr/bin/mail /bin/mail
+	fi
 
-	use static-libs || find "${D}" -name "*.la" -delete
+	if ! use static-libs; then
+		find "${D}" -name "*.la" -delete || die
+	fi
 }

diff --git a/net-mail/mailutils/mailutils-3.7.ebuild b/net-mail/mailutils/mailutils-3.7.ebuild
index 76cd4bd9c81..493ba4d9f40 100644
--- a/net-mail/mailutils/mailutils-3.7.ebuild
+++ b/net-mail/mailutils/mailutils-3.7.ebuild
@@ -14,7 +14,7 @@ LICENSE="GPL-2 LGPL-2.1"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-macos ~x64-macos ~x86-macos"
 IUSE="berkdb bidi +clients emacs gdbm sasl guile ipv6 kerberos kyotocabinet \
-	ldap mysql nls pam postgres python servers ssl static-libs +threads tcpd \
+	ldap mysql nls pam postgres python servers split-usr ssl static-libs +threads tcpd \
 	tokyocabinet"
 
 RDEPEND="!mail-client/nmh
@@ -105,7 +105,6 @@ src_configure() {
 
 src_install() {
 	default
-	emake DESTDIR="${D}" install
 
 	insinto /etc
 	# bug 613112
@@ -128,7 +127,11 @@ src_install() {
 	fi
 
 	# compatibility link
-	use clients && dosym /usr/bin/mail /bin/mail
+	if use clients && use split-usr; then
+		dosym ../usr/bin/mail /bin/mail
+	fi
 
-	use static-libs || find "${D}" -name "*.la" -delete
+	if ! use static-libs; then
+		find "${D}" -name "*.la" -delete || die
+	fi
 }


             reply	other threads:[~2019-10-16  9:53 UTC|newest]

Thread overview: 107+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-16  9:53 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-30  5:44 [gentoo-commits] repo/gentoo:master commit in: net-mail/mailutils/ Eray Aslan
2024-05-28 13:24 Sam James
2024-05-28 12:11 Michał Górny
2024-05-28 12:04 Michał Górny
2024-05-28 12:04 Michał Górny
2024-01-08 12:44 Eray Aslan
2023-05-05 10:14 Sam James
2023-05-03 14:12 Eray Aslan
2023-02-27  6:36 Eray Aslan
2023-02-26 18:42 Arthur Zamarin
2023-01-13 13:42 Arthur Zamarin
2022-11-10  0:28 Sam James
2022-11-10  0:28 Sam James
2022-11-09 18:46 Arthur Zamarin
2022-11-09 18:46 Arthur Zamarin
2022-11-09 18:46 Arthur Zamarin
2022-11-09  7:32 Eray Aslan
2022-11-09  7:32 Eray Aslan
2022-05-19 13:36 Agostino Sarubbo
2022-04-19 11:26 Eray Aslan
2022-03-23 10:35 Agostino Sarubbo
2022-03-23  9:58 Jakov Smolić
2022-03-22 11:26 Agostino Sarubbo
2022-03-22 11:25 Agostino Sarubbo
2022-03-22 11:24 Agostino Sarubbo
2022-01-03  7:35 Eray Aslan
2021-08-06 10:21 Eray Aslan
2021-08-02 10:59 Eray Aslan
2021-08-01 23:51 Sam James
2021-08-01  5:14 Sam James
2021-08-01  2:59 Sam James
2021-07-31 22:23 Sam James
2021-07-31 22:23 Sam James
2021-07-31 22:12 Sam James
2021-07-13 11:21 Marek Szuba
2021-06-22 20:54 Sam James
2021-05-26  8:11 Sam James
2021-05-25 16:55 Sam James
2021-05-25 16:55 Sam James
2021-05-25 11:06 Sam James
2021-05-24  2:28 Sam James
2021-05-23 23:28 Thomas Deutschmann
2021-04-15 18:28 Sergei Trofimovich
2021-02-20  6:14 Eray Aslan
2021-02-20  6:12 Eray Aslan
2021-01-08 13:04 Eray Aslan
2021-01-06 15:06 Fabian Groffen
2020-12-25  7:38 Eray Aslan
2020-07-25  8:00 Pacho Ramos
2020-06-08 16:34 Mart Raudsepp
2020-05-28 15:45 Agostino Sarubbo
2020-05-28 15:39 Agostino Sarubbo
2020-05-28 15:37 Agostino Sarubbo
2020-05-12 21:48 Mart Raudsepp
2020-05-07 15:17 Michał Górny
2020-04-07  8:41 Sergei Trofimovich
2020-03-02 15:22 Agostino Sarubbo
2020-03-02 12:39 Agostino Sarubbo
2020-03-02 12:32 Agostino Sarubbo
2020-03-02 12:28 Agostino Sarubbo
2020-03-02 11:04 Sergei Trofimovich
2020-03-01 13:03 Agostino Sarubbo
2020-01-20 23:12 Sergei Trofimovich
2019-12-20 22:49 Ulrich Müller
2019-10-12 21:28 Mikle Kolyada
2019-08-28  7:22 Sergei Trofimovich
2019-08-28  6:54 Sergei Trofimovich
2019-08-02  8:33 Mikle Kolyada
2019-07-31 11:03 Agostino Sarubbo
2019-07-31 10:59 Agostino Sarubbo
2019-07-30 16:50 Aaron Bauman
2019-06-27  7:16 Eray Aslan
2019-04-26 11:32 Anthony G. Basile
2019-03-27  5:03 Eray Aslan
2019-02-26 14:45 Eray Aslan
2018-12-30 21:31 Mikle Kolyada
2018-10-16  9:18 Tobias Klausmann
2018-09-18  6:25 Eray Aslan
2018-08-30  4:44 Markus Meier
2018-08-24  3:23 Mikle Kolyada
2018-08-24  1:40 Thomas Deutschmann
2018-06-22 20:40 Sergei Trofimovich
2018-06-19 15:58 Eray Aslan
2018-04-14 11:25 Markus Meier
2017-11-06  9:35 Eray Aslan
2017-10-29 11:37 Sergei Trofimovich
2017-10-25 21:42 Sergei Trofimovich
2017-10-19  7:57 Eray Aslan
2017-10-19  7:57 Eray Aslan
2017-03-17 10:26 Agostino Sarubbo
2017-03-17 10:15 Agostino Sarubbo
2017-03-15 11:03 Eray Aslan
2017-01-09  5:48 Eray Aslan
2016-12-22 14:24 Eray Aslan
2016-12-06 11:53 Agostino Sarubbo
2016-12-06 11:50 Agostino Sarubbo
2016-11-08 10:57 Eray Aslan
2016-10-03 23:45 Thomas Deutschmann
2015-12-24  7:44 Eray Aslan
2015-12-10 14:29 Eray Aslan
2015-12-10 14:29 Eray Aslan
2015-12-09 20:42 Michał Górny
2015-08-26 15:23 Eray Aslan
2015-08-26 15:23 Eray Aslan
2015-08-25  7:01 Eray Aslan
2015-08-25  7:01 Eray Aslan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1571219577.3ad69e9d174a979e85a1502de5fd20643ba5d525.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox